server {
    listen 80;
    listen [::]:80;

    location ~* \.(?:ico|svg|css|woff2|js|gif|map|jpe?g|png)$ {
        root /var/www/html;
        expires 1y;
        add_header Vary Accept-Encoding;
        access_log off;
    }

    location / {
        root /var/www/html;
        try_files $uri /index.html;
        index index.html;
    }

    location = /config.json {
        alias /etc/nginx/conf.d/config.json;
    }

    location = /healthCheck {
            access_log off;
            log_not_found off;
            add_header 'Content-Type' 'application/json';
            return 200 '{"status":"UP"}';
    }
}
